package net.wanji.opt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.BlobTypeHandler;

/**
 * <p>
 * 诱导屏-发布模板
 * </p>
 *
 * @author guoliang.dong
 * @since 2024-11-22
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_induce_template")
public class InduceTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 诱导屏编号
     */
    @TableField("equip_code")
    private String equipCode;

    /**
     * 模板名称
     */
    @TableField("file_name")
    private String fileName;

    /**
     * 模板路径
     */
    @TableField("file_path")
    private String filePath;

    /**
     * 模板内容
     */
    @TableField(value = "file_content", typeHandler = BlobTypeHandler.class)
    private byte[] fileContent;

    /**
     * 文字左上角X坐标
     */
    @TableField("top_left")
    private String topLeft;

    /**
     * 文字左上角Y坐标
     */
    @TableField("bottom_right")
    private String bottomRight;

    /**
     * 文字大小
     */
    @TableField("text_size")
    private Integer textSize;

    /**
     * 字体类型
     */
    @TableField("text_font")
    private String textFont;

    /**
     * 是否默认模板 0：否 1：是
     */
    @TableField("default_template")
    private Integer defaultTemplate;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;


}
