package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/12/05 19:48
 */
@Data
@ApiModel(value = "优化监测-绿波带宽曲线实体")
public class GreenBeltSpeedWidthVO {
    @ApiModelProperty("时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm:ss", timezone = "GMT+8")
    private Date startTime;
    @ApiModelProperty("干线方向")
    private String dirName;
    @ApiModelProperty("速度")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double speed;
    @ApiModelProperty("带宽")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double width;
}
